curl --request POST \
--url https://api.quiva.ai/records/export-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config_id": "<string>",
"space_id": "<string>",
"folder": "<string>",
"format": "csv",
"delivery": "email",
"email": "<string>",
"filter": "<string>",
"sort_by": "<string>",
"zip": false,
"async": false,
"job_id": "<string>"
}
'import requests
url = "https://api.quiva.ai/records/export-records"
payload = {
"config_id": "<string>",
"space_id": "<string>",
"folder": "<string>",
"format": "csv",
"delivery": "email",
"email": "<string>",
"filter": "<string>",
"sort_by": "<string>",
"zip": False,
"async": False,
"job_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config_id: '<string>',
space_id: '<string>',
folder: '<string>',
format: 'csv',
delivery: 'email',
email: '<string>',
filter: '<string>',
sort_by: '<string>',
zip: false,
async: false,
job_id: '<string>'
})
};
fetch('https://api.quiva.ai/records/export-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/records/export-records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'config_id' => '<string>',
'space_id' => '<string>',
'folder' => '<string>',
'format' => 'csv',
'delivery' => 'email',
'email' => '<string>',
'filter' => '<string>',
'sort_by' => '<string>',
'zip' => false,
'async' => false,
'job_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/records/export-records"
payload := strings.NewReader("{\n \"config_id\": \"<string>\",\n \"space_id\": \"<string>\",\n \"folder\": \"<string>\",\n \"format\": \"csv\",\n \"delivery\": \"email\",\n \"email\": \"<string>\",\n \"filter\": \"<string>\",\n \"sort_by\": \"<string>\",\n \"zip\": false,\n \"async\": false,\n \"job_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/records/export-records")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"config_id\": \"<string>\",\n \"space_id\": \"<string>\",\n \"folder\": \"<string>\",\n \"format\": \"csv\",\n \"delivery\": \"email\",\n \"email\": \"<string>\",\n \"filter\": \"<string>\",\n \"sort_by\": \"<string>\",\n \"zip\": false,\n \"async\": false,\n \"job_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/records/export-records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config_id\": \"<string>\",\n \"space_id\": \"<string>\",\n \"folder\": \"<string>\",\n \"format\": \"csv\",\n \"delivery\": \"email\",\n \"email\": \"<string>\",\n \"filter\": \"<string>\",\n \"sort_by\": \"<string>\",\n \"zip\": false,\n \"async\": false,\n \"job_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status_code": 123,
"body": {
"message": "<string>",
"records": 123,
"size": 123,
"filename": "<string>",
"bucket": "<string>",
"key": "<string>"
}
}{
"status_code": 123,
"body": {
"job_id": "<string>"
}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}Export a record set as a file
Builds a CSV or JSON file of the records matching the same filter and sort strings a records query takes. Download stores it for the caller alone and returns its bucket and key; email attaches it, or stores and links it when it is too large to attach. An export that cannot read every record fails rather than returning a short file. Validation answers at once. By default the export runs inline and answers 200 with the result. With async: true it runs in the background and the reply is 202 with a job_id; a token with no user id still runs inline. Post alone to read the caller’s job: status running, done (result holds the fields an inline export returns) or error. A running job not updated for 10 minutes reads as error. Jobs are kept for 24 hours.
curl --request POST \
--url https://api.quiva.ai/records/export-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config_id": "<string>",
"space_id": "<string>",
"folder": "<string>",
"format": "csv",
"delivery": "email",
"email": "<string>",
"filter": "<string>",
"sort_by": "<string>",
"zip": false,
"async": false,
"job_id": "<string>"
}
'import requests
url = "https://api.quiva.ai/records/export-records"
payload = {
"config_id": "<string>",
"space_id": "<string>",
"folder": "<string>",
"format": "csv",
"delivery": "email",
"email": "<string>",
"filter": "<string>",
"sort_by": "<string>",
"zip": False,
"async": False,
"job_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config_id: '<string>',
space_id: '<string>',
folder: '<string>',
format: 'csv',
delivery: 'email',
email: '<string>',
filter: '<string>',
sort_by: '<string>',
zip: false,
async: false,
job_id: '<string>'
})
};
fetch('https://api.quiva.ai/records/export-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/records/export-records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'config_id' => '<string>',
'space_id' => '<string>',
'folder' => '<string>',
'format' => 'csv',
'delivery' => 'email',
'email' => '<string>',
'filter' => '<string>',
'sort_by' => '<string>',
'zip' => false,
'async' => false,
'job_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/records/export-records"
payload := strings.NewReader("{\n \"config_id\": \"<string>\",\n \"space_id\": \"<string>\",\n \"folder\": \"<string>\",\n \"format\": \"csv\",\n \"delivery\": \"email\",\n \"email\": \"<string>\",\n \"filter\": \"<string>\",\n \"sort_by\": \"<string>\",\n \"zip\": false,\n \"async\": false,\n \"job_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/records/export-records")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"config_id\": \"<string>\",\n \"space_id\": \"<string>\",\n \"folder\": \"<string>\",\n \"format\": \"csv\",\n \"delivery\": \"email\",\n \"email\": \"<string>\",\n \"filter\": \"<string>\",\n \"sort_by\": \"<string>\",\n \"zip\": false,\n \"async\": false,\n \"job_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/records/export-records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config_id\": \"<string>\",\n \"space_id\": \"<string>\",\n \"folder\": \"<string>\",\n \"format\": \"csv\",\n \"delivery\": \"email\",\n \"email\": \"<string>\",\n \"filter\": \"<string>\",\n \"sort_by\": \"<string>\",\n \"zip\": false,\n \"async\": false,\n \"job_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status_code": 123,
"body": {
"message": "<string>",
"records": 123,
"size": 123,
"filename": "<string>",
"bucket": "<string>",
"key": "<string>"
}
}{
"status_code": 123,
"body": {
"job_id": "<string>"
}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}Authorizations
Body
config_id is required unless job_id is set.
Response
Success